package com.inkasso.factoring.salesManagement.entity.vo;


import com.inkasso.factoring.file.entity.FileStorageDO;
import com.inkasso.factoring.tradingPlatform.entity.Platform;

import java.util.List;

/**
 * @Description 销售合同基础信息vo类
 * @Author Yafan Wang
 * @Date 2023/12/2 10:54
 */
public class SalesContractBasicVo {

    private Long id;
    /**
     * 招投标id
     **/
    private Long cBiddingBasicInfoId;
    /**
     * 项目id
     **/
    private Long projectInformationId;
    /**
     * 业务编号
     **/
    private String businessNumber;
    /**
     * 项目名称
     **/
    private String projectName;
    /**
     * 核心企业名称
     **/
    private String enterprise;
    /**
     * 主企业（供应商）名称
     **/
    private String mainEnterprise;
    /**
     * 贸易平台
     **/
    private List<Platform> platforms;
    /** 合同模板文件 **/
    private List<FileStorageDO> files;
    /**
     * 贸易平台
     */
    private String platformName;
    /**
     * 贸易平台id
     */
    private Long platformId;

    /**
     * 供应商id
     **/
    private Long supplierId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getEnterprise() {
        return enterprise;
    }

    public void setEnterprise(String enterprise) {
        this.enterprise = enterprise;
    }

    public String getMainEnterprise() {
        return mainEnterprise;
    }

    public void setMainEnterprise(String mainEnterprise) {
        this.mainEnterprise = mainEnterprise;
    }

    public List<Platform> getPlatforms() {
        return platforms;
    }

    public void setPlatforms(List<Platform> platforms) {
        this.platforms = platforms;
    }

    public Long getProjectInformationId() {
        return projectInformationId;
    }

    public void setProjectInformationId(Long projectInformationId) {
        this.projectInformationId = projectInformationId;
    }

    public Long getcBiddingBasicInfoId() {
        return cBiddingBasicInfoId;
    }

    public void setcBiddingBasicInfoId(Long cBiddingBasicInfoId) {
        this.cBiddingBasicInfoId = cBiddingBasicInfoId;
    }

    public List<FileStorageDO> getFiles() {
        return files;
    }

    public void setFiles(List<FileStorageDO> files) {
        this.files = files;
    }

    public String getPlatformName() {
        return platformName;
    }

    public void setPlatformName(String platformName) {
        this.platformName = platformName;
    }

    public Long getPlatformId() {
        return platformId;
    }

    public void setPlatformId(Long platformId) {
        this.platformId = platformId;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }
}
